.TH XScreenSaver 1 "" "X Version 11"
.SH NAME
companioncube - a vital aparatus.
.SH SYNOPSIS
.B companioncube
[\-display \fIhost:display.screen\fP]
[\-visual \fIvisual\fP]
[\-window]
[\-root]
[\-delay \fInumber\fP]
[\-speed \fIratio\fP]
[\-spin]
[\-wander]
[\-count \fInumber\fP]
[\-wireframe]
[\-fps]
.SH DESCRIPTION
The symptoms most commonly produced by Enrichment Center testing are
superstition, perceiving inanimate objects as alive, and hallucinations.
The Enrichment Center reminds you that the weighted companion cube will
never threaten to stab you and, in fact, cannot speak.  In the event that
the Weighted Companion Cube does speak, the Enrichment Center urges you to
disregard its advice.
.SH OPTIONS
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-delay \fInumber\fP
Per-frame delay, in microseconds.  Default: 30000 (0.03 seconds.).
.TP 8
.B \-speed \fInumber\fP
How fast the animation should run.
Less than 1 for slower, greater than 1 for faster.
.TP 8
.B \-count \fInumber\fP
How many cubes.  Default 3.
.TP 8
.B \-spin
.B \-no\-spin
Instead of bouncing, float and spin.
.TP 8
.B \-wander
.B \-no\-wander
Instead of bouncing, float and drift.
.TP 8
.B \-wireframe
Render in wireframe instead of solid.
.TP 8
.B \-fps
Display the current frame rate, CPU load, and polygon count.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR tronbit (1),
.BR lament (1),
.BR dangerball (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2011 by Jamie Zawinski.  Permission to use, copy,
modify, distribute, and sell this software and its documentation for
any purpose is hereby granted without fee, provided that the above
copyright notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting documentation.
No representations are made about the suitability of this software for
any purpose.  It is provided "as is" without express or implied
warranty.
.SH AUTHOR
Jamie Zawinski, with apologies to the fine folks at Valve Software
and Aperture Science.
