.TH XScreenSaver 1 "May 2004"
.SH NAME
gflux \- rippling surface graphics hack
.SH SYNOPSIS
.B gflux
[\-display \fIhost:display.screen\fP] [\-window] [\-root] [\-install]
[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP]
[\-squares \fInum\fP] [\-resolution \fInum\fP] [\-mode \fImode\fP]
[\-flat \fInum\fP] [\-speed \fInum\fP]
[\-rotationx \fInum\fP] [\-rotationy \fInum\fP] [\-rotationz \fInum\fP]
[\-waves \fInum\fP] [\-waveChange \fInum\fP] [\-waveHeight \fInum\fP]
[\-waveFreq \fInum\fP] [\-zoom \fInum\fP]
[\-wireframe]
[\-fps]
.SH DESCRIPTION
The \fIgflux\fP program draws a colourfull animated rippling square rotating in 3D space.
.SH OPTIONS
.I gflux
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-install
Install a private colormap for the window.
.TP 8
.B \-visual \fIvisual\fP\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-squares \fInum\fP\fP
Specifies the size of the grid in squares. default 19
.TP 8
.B \-resolution \fInum\fP\fP
Specifies the wireframe detail of the squares. default 4
.TP 8
.B \-mode \fImode\fP\fP
Specifies the draw method: wireframe; solid (meaning a solid colored
surface); light (same as solid, but with lighting effects);
checker (a texture-mapped checkerboard pattern); or grab (meaning
grab an image to manipulate.)

When grabbing images, the image will be grabbed from the portion of
the screen underlying the window, or from the system's video input,
or from a random file on disk, as indicated by
the \fIgrabDesktopImages\fP, \fIgrabVideoFrames\fP,
and \fIchooseRandomImages\fP options in the \fI~/.xscreensaver\fP
file; see
.BR xscreensaver-demo (1)
for more details.
.TP 8
.B \-wireframe
Same as "-mode wire".
.TP 8
.B \-flat \fInum\fP\fP
0 for smooth shading 1 for flat. default 0
.TP 8
.B \-speed \fInum\fP\fP
Specifies speed of ripples flowing over the surface. default 0.05
.TP 8
.B \-rotationx \fInum\fP \-rotationy \fInum\fP \-rotationz \fInum\fP\fP
Specifies the speed of rotation of the surface in these axis 
.TP 8
.B \-waves \fInum\fP\fP
Specifies the number of ripple centres at any one time.  Values should be greater than 1.  default 3
.TP 8
.B \-waveChange \fInum\fP\fP
Specifies the duration of a ripple centre.  after this they fade away to be reborn elsewhere with a different frequency. default 50
.TP 8
.B \-waveHeight \fInum\fP\fP
Specifies the height of ripples on the surface. default 1.0
.TP 8
.B \-waveFreq \fInum\fP\fP
Specifies the maximum frequency of ripples. default 3.0
.TP 8
.B \-zoom \fInum\fP\fP
Specifies the size of the viewport. Smaller values fill the screen with rippling surface. default 1.0
.TP 8
.B \-delay \fImicroseconds\fP
How long to pause between frames.  Default is 20000, or 0.02 second.
.TP 8
.B \-fps
Display the current frame rate, CPU load, and polygon count.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.BR xscreensaver\-demo (1),
.BR xscreensaver\-getimage (1)
.SH COPYRIGHT
Copyright \(co 2000 by Josiah Pease.  Permission to use, copy, modify,
distribute, and sell this software and its documentation for any purpose is
hereby granted without fee, provided that the above copyright notice appear
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Josiah Pease <gflux@jpease.force9.co.uk>, 10-Jun-2000.
 
